# Get facility

Returns a single Facility by its unique identifier.

Endpoint: GET /site/{siteId}/ahds/v1/facility/{facilityId}
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `siteId` (number, required)
    Site identifier

  - `facilityId` (string, required)
    Facility unique identifier (UUID)

## Response 200:

  - `200` (unknown)
    Facility found

## Response 200 fields (application/json):

  - `facilityId` (string, required)
    Canonical unique identifier for the facility.
    Example: 123e4567-e89b-12d3-a456-426614174000

  - `name` (string, required)
    Human-readable name of the facility.
    Example: Example Name

  - `facilityType` (object, required)
    Type of facility (clinic, hospital, mobile, emergency).

  - `facilityType.code` (string, required)
    Code value
    Example: 12345

  - `facilityType.system` (string, required)
    Code system URI
    Example: http://example.com/codesystem

  - `facilityType.display` (string)
    Human-readable display
    Example: Example Display Name

  - `address` (object, required)
    Physical address of the facility.

  - `phone` (string, required)
    Primary contact phone number.
    Example: example

  - `email` (string, required)
    Primary contact email.
    Example: user@example.com

  - `isActive` (boolean, required)
    Whether the facility is currently operational.
    Example: true

  - `createdAt` (string, required)
    Timestamp when the facility record was created.
    Example: 2025-01-01T00:00:00.000Z

  - `updatedAt` (string, required)
    Timestamp when the facility record was last updated.
    Example: 2025-01-01T00:00:00.000Z

  - `extensions` (object, required)
    Vendor- or practice-specific extensions.

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 404:

  - `404` (unknown)
    Facility not found

